Summary:		CORBA Object Request Broker for GNOME-1 compatibility
Name:			ORBit
Version:		0.5.17
Release:		1
URL:			http://orbit-resource.sourceforge.net/
Source0:		http://ftp.acc.umu.se/pub/gnome/sources/ORBit/0.5/%{name}-%{version}.tar.bz2 
Patch0:			%{name}-%{version}-aligned-access.patch
Patch1:			%{name}-underquoted.patch
Group:			System Environment/Daemons
License:		LGPLv2+ and GPLv2+
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:		flex, make, patch, pkg-config, glib-devel >= 1.2.10-3
Requires:		glib >= 1.2.10-3
Requires:		info, /sbin/install-info

%description
ORBit is a high-performance CORBA (Common Object Request Broker Architecture)
ORB (object request broker). It allows programs to send requests and receive
replies from other programs, regardless of the locations of the two programs.
CORBA is an architecture that enables communication between program objects,
regardless of the programming language they are written in or the operating
system they run on.

This package is provided for compatibility with GNOME-1 applications.


%package devel
Summary:	Development libraries, header files and utilities for ORBit
Group:		Development/Libraries
Requires:	indent
Requires:	glib-devel >= 1.2.10-3
Requires:	%{name} = %{version}-%{release}
Requires:	pkg-config

%description devel
ORBit is a high-performance CORBA (Common Object Request Broker Architecture)
ORB (object request broker) with support for the C language.

This package contains the header files, libraries, and utilities necessary to
build programs that use the ORBit library. It is provided for compatibility
with GNOME-1 applications.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch0 -p1 -b .aligned
%patch1 -p1 -b .underquoted


%build
# build ONLY the 32-bit version as glib is also only available as 32-bit
export CC="xlc -ma"
# we need this to get shared libraries
export LDFLAGS="-Wl,-brtl"

./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static
gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*.info
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%post devel
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun devel
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%doc libIDL/COPYING libIDL/ChangeLog libIDL/AUTHORS
%doc libIDL/README libIDL/NEWS libIDL/BUGS libIDL/tstidl.c
%{_bindir}/name-client
%{_bindir}/orbit-event-server
%{_bindir}/orbit-ird
%{_bindir}/orbit-name-server
%{_libdir}/lib*.so*
/usr/bin/name-client
/usr/bin/orbit-event-server
/usr/bin/orbit-ird
/usr/bin/orbit-name-server
/usr/lib/lib*.so*


%files devel
%defattr(-,root,system,-)
%{_bindir}/orbit-idl
%{_bindir}/libIDL-config
%{_bindir}/orbit-config
%{_includedir}/*
%{_infodir}/libIDL.info.gz
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/libIDLConf.sh
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*
/usr/bin/orbit-idl
/usr/bin/libIDL-config
/usr/bin/orbit-config
/usr/include/*
/usr/lib/lib*.a
/usr/lib/lib*.la


%changelog
* Wed Jul 01 2009 Michael Perzl <michael@perzl.org> - 0.5.17-1
- first version for AIX V5.1 and higher
